summaryrefslogtreecommitdiff
path: root/mounted.conf
diff options
context:
space:
mode:
Diffstat (limited to 'mounted.conf')
-rwxr-xr-xmounted.conf22
1 files changed, 22 insertions, 0 deletions
diff --git a/mounted.conf b/mounted.conf
new file mode 100755
index 0000000..446af5c
--- /dev/null
+++ b/mounted.conf
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+set -o pipefail
+
+onlyFs='\(^/dev/\)\|\(ncpfs\)\|\(fuse.sshfs\)'
+ignoreFs='/mnt/key'
+
+mountName() {
+ case "${1}" in
+ "/mnt/windows" ) echo "win" ;;
+ "/mnt/141.35.60.68_home_simulation" ) echo "smh" ;;
+ "/mnt/141.35.60.68_home_experiment" ) echo "exh" ;;
+ "/mnt/141.35.60.68_home_expshhg" ) echo "esh" ;;
+ "/mnt/141.35.60.68_home_erich" ) echo "seh" ;;
+ "/mnt/141.35.50.159_home" ) echo "nse" ;;
+ "/mnt/141.35.51.219_expshhg" ) echo "jes" ;;
+ "/mnt/141.35.60.68" ) echo "sim" ;;
+ "/mnt/192.168.0.12" ) echo "hom" ;;
+ "/mnt/usb/"* ) echo "${1#/mnt/usb/}" ;;
+ * ) echo "${1}" ;;
+ esac
+}